Skip to main content
GET
Get Portfolio Group Updates

Authorizations

X-API-Key
string
header
required

Path Parameters

group_id
string<uuid>
required

Query Parameters

q
string | null

The query param. Can be a business name, person name, business_id, person_id, or a type (business or person). If it is a business id or a person id (UUID), it will be used to search by id. If it is a business name or a person name, it will be used to search by name (case-insensitive). If it is a type (business or person), it will be used to search by type. If it is not provided, all portfolio updates will be returned.

attributes[]
enum<string>[] | null

Filter by notification attributes

Available options:
registration_health,
new_registrations,
addresses,
officers,
alternative_names,
kyb_score,
risk_score,
identity_network,
pep,
ofac,
liens,
litigations,
bankruptcies,
website_analysis
limit
integer
default:10

Maximum number of records to return in a single page. Must be between 1 and 1000.

Required range: 1 <= x <= 1000
offset
integer | null

Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.

Required range: x >= 0
cursor
string | null

Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.

start_date
string<date> | null

Filter records created on or after this date (format: YYYY-MM-DD).

end_date
string<date> | null

Filter records created on or before this date (format: YYYY-MM-DD).

tz
string
default:UTC

IANA timezone identifier used to interpret start_date and end_date (defaults to UTC).

Examples:

"UTC"

"America/Los_Angeles"

"Europe/London"

Response

Response

item
BusinessPortfolioItemSummaryResponse (v1) · object
required

Represents a summary of a business portfolio item.

from_snapshot_id
string<uuid>
required

The unique identifier of the from snapshot.

to_snapshot_id
string<uuid>
required

The unique identifier of the to snapshot.

change_count
integer
required

The number of changes in the portfolio item update.

notification_count
integer
required

The number of notifications in the portfolio item update.

notification_summaries
PortfolioItemNotificationSummary · object[]
required

The notification summaries in the portfolio item update.

created_at
string<date-time>
required

When the portfolio item update was created.

item_url
string
required
read-only
from_snapshot_url
string
required
read-only
to_snapshot_url
string
required
read-only
diff_url
string
required
read-only
notifications_url
string
required
read-only
notifications
PortfolioMonitoringNotificationResponse (v1) · object[]
required
read-only

Generate notifications from the JSON patch data without expensive diffing.

This uses the pre-computed json_patch data to create a PortfolioItemSnapshotDiff and then generates notifications from it, avoiding the expensive diff operation.